﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace TestProject
{
    /// <summary>
    /// 메인 윈도우
    /// </summary>
    public partial class MainWindow : Window
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainWindow()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainWindow()
        {
            InitializeComponent();
        }

        #endregion

        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Private

        #region 샘플 표시하기 버튼 클릭시 처리하기 - showSampleButton_Click(sender, e)

        /// <summary>
        /// 샘플 표시하기 버튼 클릭시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void showSampleButton_Click(object sender, RoutedEventArgs e)
        {
            this.fontNameLabel.Content = null;

            string sample = this.sampleTextBox.Text;

            this.sampleFontListBox.Items.Clear();

            foreach(FontFamily fontFamily in Fonts.SystemFontFamilies)
            {
                Label label = new Label();

                label.Content    = sample;
                label.FontFamily = fontFamily;
                label.FontSize   = this.fontSizeSlider.Value;

                this.sampleFontListBox.Items.Add(label);
            }
        }

        #endregion
        #region 샘플 폰트 리스트 박스 선택 변경시 처리하기 - sampleFontListBox_SelectionChanged(sender, e)

        /// <summary>
        /// 샘플 폰트 리스트 박스 선택 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        private void sampleFontListBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            Label label = this.sampleFontListBox.SelectedItem as Label;

            if(label == null)
            {
                this.fontNameLabel.Content = null;
            }
            else
            {
                this.fontNameLabel.Content = label.FontFamily.ToString();
            }
        }

        #endregion
    }
}